Payout query API used for Merchant/Partner to query transfer status.
EndPoint
Code
POST /binancepay/openapi/payout/query
Request Parameters
Attributes
Type
Required
Limitation
Description
requestId
string
Y
Maximum length 32
The unique ID assigned by the merchant to identify a payout request.
detailStatus
list[string]
N
Enum string list
ALL: return all transfer details, default value. PROCESSING: only return transfers in processing. SUCCESS: only return successful transfers. FAIL: only return failed transfers.
ACCEPTED: accepted the request, will process it soon. PROCESSING: batch under processing SUCCESS: All payout performed successfully, user have received fund in Binance funding wallet PART_SUCCESS: transfers partially succeeded. Reasons: 1.Insufficient funds: there’s insufficient fund in your account 2.Awaiting recipient: pending user to create Binance account and perform KYC 3.Partial refund: user failed to complete KYC in 72 hours, fund will be funded to merchant account FAILED: all transfers failed CANCELED: Transfer request canceled by Binance due to unknown system errors after retry limit, will not retry further
merchantId
long
Y
currency
string
Y
Valid crypto currency
The request currency.
totalAmount
decimal
Y
limitation refer to Create Order API order amount
Total transfer amount in this batch.
totalPaidAmount
decimal
Y
limitation refer to Create Order API order amount
Total paid amount in this batch.
totalPayoutFee
decimal
Y
limitation refer to Create Order API order amount
Total payout fee amount in this batch.
totalNumber
int
Y
Maximum length 1000
Total number of transfers in the batch.
transferDetailList
TransferDetailResult
Y
Max size 1000
Detail transfer result.
Child Attribute
TransferDetailResult
Attributes
Type
Required
Limitation
Description
orderId
long
Y
Maximum length 32
The passed-in request ID.
merchantSendId
string
Y
Maximum length 32
The passed-in merchantSendId.
payerId
Long
Y
Payer's payment account ID.
amount
string
Y
limitation refer to Create Order API order amount
Amount transferred.
payoutFee
string
Y
limitation refer to Create Order API order amount
Amount paid.
totalPaidAmount
string
Y
limitation refer to Create Order API order amount
Payout Fee Amount .
receiveType
string
Y
Enum string
PAY_IDBINANCE_ID
receiver
string
Y
Maximum length 19
Receiver ID from the request.
payeeId
long
Y
Receiver's payment account ID.
transferMethod
string
Y
Enum string
SPOT_WALLETFUNDING_WALLETFUNDING_AND_SPOT_WALLET
status
string
Y
Enum string
SUCCESS: money has been transferred successfully FAIL failed may case by there’s insufficient fund in your account AWAITING_RECEIPT pending new user create an binance account and pass KYC to receive money REFUNDED: new user hasn’t pass KYC in 72 hours